diff --git a/src/tools/files.c b/src/tools/files.c
index 7fc8422..f1cede0 100644
--- a/src/tools/files.c
+++ b/src/tools/files.c
@@ -174,8 +174,8 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
                             O_RDONLY | O_DIRECTORY | O_NOFOLLOW, &ret);
     if (dir_fd == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot open %s: [%d]: %s\n",
-              dir_name, ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot open %s: [%d]: %s\n",
+              dir_name, ret, strerror(ret));
         return ret;
     }
 
@@ -183,7 +183,7 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
     if (rootdir == NULL) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Cannot open directory: [%d][%s]\n", ret, strerror(ret)));
+              "Cannot open directory: [%d][%s]\n", ret, strerror(ret));
         close(dir_fd);
         goto fail;
     }
@@ -199,7 +199,7 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
         if (ret != 0) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("stat failed: [%d][%s]\n", ret, strerror(ret)));
+                  "stat failed: [%d][%s]\n", ret, strerror(ret));
             goto fail;
         }
 
@@ -207,8 +207,8 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
             /* if directory, recursively descend, but check if on the same FS */
             if (parent_dev && parent_dev != statres.st_dev) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Directory %s is on different filesystem, "
-                       "will not follow\n", result->d_name));
+                      "Directory %s is on different filesystem, "
+                       "will not follow\n", result->d_name);
                 ret = EFAULT;
                 goto fail;
             }
@@ -216,8 +216,8 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
             ret = remove_tree_with_ctx(mem_ctx, dir_fd, result->d_name, statres.st_dev);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Removing subdirectory failed: [%d][%s]\n",
-                       ret, strerror(ret)));
+                      "Removing subdirectory failed: [%d][%s]\n",
+                       ret, strerror(ret));
                 goto fail;
             }
         } else {
@@ -225,7 +225,7 @@ static int remove_tree_with_ctx(TALLOC_CTX *mem_ctx,
             if (ret != 0) {
                 ret = errno;
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                        ("Removing file failed: [%d][%s]\n", ret, strerror(ret)));
+                        "Removing file failed: [%d][%s]\n", ret, strerror(ret));
                 goto fail;
             }
         }
@@ -248,7 +248,7 @@ fail:
     if (rootdir) {  /* clean up on abnormal exit but retain return code */
         err = closedir(rootdir);
         if (err) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("closedir failed, bad dirp?\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "closedir failed, bad dirp?\n");
         }
     }
     return ret;
@@ -313,7 +313,7 @@ copy_symlink(int src_dir_fd,
     ret = selinux_file_context(full_path);
     if (ret != 0) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to set SELinux context for [%s]\n", full_path));
+              "Failed to set SELinux context for [%s]\n", full_path);
         /* Not fatal */
     }
 
@@ -323,11 +323,11 @@ copy_symlink(int src_dir_fd,
         ret = errno;
         if (ret == EEXIST) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("symlink pointing to already exists at '%s'\n", full_path));
+                  "symlink pointing to already exists at '%s'\n", full_path);
             return EOK;
         }
 
-        DEBUG(SSSDBG_CRIT_FAILURE, ("symlinkat failed: %s\n", strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "symlinkat failed: %s\n", strerror(ret));
         return ret;
     }
 
@@ -336,15 +336,15 @@ copy_symlink(int src_dir_fd,
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("fchownat failed: %s\n", strerror(ret)));
+             "fchownat failed: %s\n", strerror(ret));
         return ret;
     }
 
     ret = sss_timeat_set(dst_dir_fd, file_name, statp,
                          AT_SYMLINK_NOFOLLOW);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("utimensat failed [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "utimensat failed [%d]: %s\n",
+              ret, strerror(ret));
         /* Do not fail */
     }
 
@@ -371,7 +371,7 @@ copy_file(int ifd,
     ret = selinux_file_context(full_path);
     if (ret != 0) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to set SELinux context for [%s]\n", full_path));
+              "Failed to set SELinux context for [%s]\n", full_path);
         /* Not fatal */
     }
 
@@ -382,8 +382,8 @@ copy_file(int ifd,
     if (ofd < 0 && errno != EEXIST) {
         ret = errno;
         DEBUG(SSSDBG_OP_FAILURE,
-               ("Cannot open() destination file '%s': [%d][%s].\n",
-               full_path, ret, strerror(ret)));
+               "Cannot open() destination file '%s': [%d][%s].\n",
+               full_path, ret, strerror(ret));
         goto done;
     }
 
@@ -391,8 +391,8 @@ copy_file(int ifd,
         if (cnt == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot read() from source file: [%d][%s].\n",
-                   ret, strerror(ret)));
+                  "Cannot read() from source file: [%d][%s].\n",
+                   ret, strerror(ret));
             goto done;
         }
 
@@ -401,14 +401,14 @@ copy_file(int ifd,
         if (written == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot write() to destination file: [%d][%s].\n",
-                   ret, strerror(ret)));
+                  "Cannot write() to destination file: [%d][%s].\n",
+                   ret, strerror(ret));
             goto done;
         }
 
         if (written != cnt) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Wrote %zd bytes, expected %zd\n", written, cnt));
+                  "Wrote %zd bytes, expected %zd\n", written, cnt);
             goto done;
         }
     }
@@ -419,8 +419,8 @@ copy_file(int ifd,
     if (ret == -1 && errno != EPERM) {
         ret = errno;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error changing owner of '%s': %s\n",
-              full_path, strerror(ret)));
+              "Error changing owner of '%s': %s\n",
+              full_path, strerror(ret));
         goto done;
     }
 
@@ -428,15 +428,15 @@ copy_file(int ifd,
     ret = fchmod(ofd, statp->st_mode);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("Error changing owner of '%s': %s\n",
-              full_path, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error changing owner of '%s': %s\n",
+              full_path, strerror(ret));
               goto done;
     }
 
     ret = sss_futime_set(ofd, statp);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("sss_futime_set failed [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "sss_futime_set failed [%d]: %s\n",
+              ret, strerror(ret));
         /* Do not fail */
     }
 
@@ -489,16 +489,16 @@ copy_entry(struct copy_ctx *cctx,
                          O_RDONLY | O_NOFOLLOW | O_NONBLOCK, &ret);
     if (ifd == -1 && ret != ELOOP) {
         /* openat error */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("openat failed on '%s': %s\n",
-              src_ent_path, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "openat failed on '%s': %s\n",
+              src_ent_path, strerror(ret));
         goto done;
     } else if (ifd == -1 && ret == ELOOP) {
         /* Should be a symlink.. */
         ret = fstatat(src_dir_fd, ent_name, &st, AT_SYMLINK_NOFOLLOW);
         if (ret == -1) {
             ret = errno;
-            DEBUG(SSSDBG_CRIT_FAILURE, ("fstatat failed on '%s': %s\n",
-                  src_ent_path, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "fstatat failed on '%s': %s\n",
+                  src_ent_path, strerror(ret));
             goto done;
         }
 
@@ -506,8 +506,8 @@ copy_entry(struct copy_ctx *cctx,
         ret = copy_symlink(src_dir_fd, dest_dir_fd, ent_name,
                            dest_ent_path, &st, cctx->uid, cctx->gid);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot copy '%s' to '%s'\n",
-                  src_ent_path, dest_ent_path));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot copy '%s' to '%s'\n",
+                  src_ent_path, dest_ent_path);
         }
         goto done;
     }
@@ -516,7 +516,7 @@ copy_entry(struct copy_ctx *cctx,
     if (ret != 0) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-                ("couldn't stat '%s': %s", src_ent_path, strerror(ret)));
+                "couldn't stat '%s': %s", src_ent_path, strerror(ret));
         goto done;
     }
 
@@ -528,8 +528,8 @@ copy_entry(struct copy_ctx *cctx,
                        &st);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                    ("Couldn't recursively copy '%s' to '%s': %s\n",
-                    src_ent_path, dest_ent_path, strerror(ret)));
+                    "Couldn't recursively copy '%s' to '%s': %s\n",
+                    src_ent_path, dest_ent_path, strerror(ret));
             goto done;
         }
     } else if (S_ISREG(st.st_mode)) {
@@ -537,14 +537,14 @@ copy_entry(struct copy_ctx *cctx,
         ret = copy_file(ifd, dest_dir_fd, ent_name, dest_ent_path,
                         &st, cctx->uid, cctx->gid);
         if (ret) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot copy '%s' to '%s'\n",
-                    src_ent_path, dest_ent_path));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot copy '%s' to '%s'\n",
+                    src_ent_path, dest_ent_path);
             goto done;
         }
     } else {
         /* Is a special file */
-        DEBUG(SSSDBG_FUNC_DATA, ("'%s' is a special file, skipping.\n",
-                  src_ent_path));
+        DEBUG(SSSDBG_FUNC_DATA, "'%s' is a special file, skipping.\n",
+                  src_ent_path);
     }
 
     ret = EOK;
@@ -577,7 +577,7 @@ copy_dir(struct copy_ctx *cctx,
     if (dir == NULL) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error reading '%s': %s", src_dir_path, strerror(ret)));
+              "Error reading '%s': %s", src_dir_path, strerror(ret));
         goto done;
     }
 
@@ -590,7 +590,7 @@ copy_dir(struct copy_ctx *cctx,
     if (ret == -1 && errno != EEXIST) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error reading '%s': %s", dest_dir_path, strerror(ret)));
+              "Error reading '%s': %s", dest_dir_path, strerror(ret));
         goto done;
     }
 
@@ -599,7 +599,7 @@ copy_dir(struct copy_ctx *cctx,
     if (dest_dir_fd == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error opening '%s': %s", dest_dir_path, strerror(ret)));
+              "Error opening '%s': %s", dest_dir_path, strerror(ret));
         goto done;
     }
 
@@ -616,8 +616,8 @@ copy_dir(struct copy_ctx *cctx,
                          dest_dir_fd, dest_dir_path,
                          ent->d_name);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not copy [%s] to [%s]\n",
-                  src_dir_path, dest_dir_path));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not copy [%s] to [%s]\n",
+                  src_dir_path, dest_dir_path);
             goto done;
         }
     }
@@ -628,8 +628,8 @@ copy_dir(struct copy_ctx *cctx,
     if (ret == -1 && errno != EPERM) {
         ret = errno;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error changing owner of '%s': %s",
-              dest_dir_path, strerror(ret)));
+              "Error changing owner of '%s': %s",
+              dest_dir_path, strerror(ret));
         goto done;
     }
 
@@ -640,15 +640,15 @@ copy_dir(struct copy_ctx *cctx,
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error setting mode of '%s': %s",
-              dest_dir_path, strerror(ret)));
+              "Error setting mode of '%s': %s",
+              dest_dir_path, strerror(ret));
         goto done;
     }
 
     sss_futime_set(dest_dir_fd, src_dir_stat);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("sss_futime_set failed [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "sss_futime_set failed [%d]: %s\n",
+              ret, strerror(ret));
         /* Do not fail */
     }
 
@@ -659,7 +659,7 @@ done:
         if (dret != 0) {
             dret = errno;
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Failed to close directory: %s.\n", strerror(dret)));
+                  "Failed to close directory: %s.\n", strerror(dret));
         }
     }
 
@@ -708,7 +708,7 @@ int copy_tree(const char *src_root, const char *dst_root,
                    dst_root, dst_root, mode_root, &s_src);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("copy_dir failed: [%d][%s]\n", ret, strerror(ret)));
+              "copy_dir failed: [%d][%s]\n", ret, strerror(ret));
         goto fail;
     }
 
diff --git a/src/tools/selinux.c b/src/tools/selinux.c
index e82e586..35f166d 100644
--- a/src/tools/selinux.c
+++ b/src/tools/selinux.c
@@ -132,7 +132,7 @@ static semanage_handle_t *sss_semanage_init(void)
 
     handle = semanage_handle_create();
     if (!handle) {
-        DEBUG(1, ("Cannot create SELinux management handle\n"));
+        DEBUG(1, "Cannot create SELinux management handle\n");
         return NULL;
     }
 
@@ -142,25 +142,25 @@ static semanage_handle_t *sss_semanage_init(void)
 
     ret = semanage_is_managed(handle);
     if (ret != 1) {
-        DEBUG(1, ("SELinux policy not managed\n"));
+        DEBUG(1, "SELinux policy not managed\n");
         goto fail;
     }
 
     ret = semanage_access_check(handle);
     if (ret < SEMANAGE_CAN_READ) {
-        DEBUG(1, ("Cannot read SELinux policy store\n"));
+        DEBUG(1, "Cannot read SELinux policy store\n");
         goto fail;
     }
 
     ret = semanage_connect(handle);
     if (ret != 0) {
-        DEBUG(1, ("Cannot estabilish SELinux management connection\n"));
+        DEBUG(1, "Cannot estabilish SELinux management connection\n");
         goto fail;
     }
 
     ret = semanage_begin_transaction(handle);
     if (ret != 0) {
-        DEBUG(1, ("Cannot begin SELinux transaction\n"));
+        DEBUG(1, "Cannot begin SELinux transaction\n");
         goto fail;
     }
 
@@ -180,35 +180,35 @@ static int sss_semanage_user_add(semanage_handle_t *handle,
 
     ret = semanage_seuser_create(handle, &seuser);
     if (ret != 0) {
-        DEBUG(1, ("Cannot create SELinux login mapping for %s\n", login_name));
+        DEBUG(1, "Cannot create SELinux login mapping for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_set_name(handle, seuser, login_name);
     if (ret != 0) {
-        DEBUG(1, ("Could not set name for %s\n", login_name));
+        DEBUG(1, "Could not set name for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_set_mlsrange(handle, seuser, DEFAULT_SERANGE);
     if (ret != 0) {
-        DEBUG(1, ("Could not set serange for %s\n", login_name));
+        DEBUG(1, "Could not set serange for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_set_sename(handle, seuser, seuser_name);
     if (ret != 0) {
-        DEBUG(1, ("Could not set SELinux user for %s\n", login_name));
+        DEBUG(1, "Could not set SELinux user for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_modify_local(handle, key, seuser);
     if (ret != 0) {
-        DEBUG(1, ("Could not add login mapping for %s\n", login_name));
+        DEBUG(1, "Could not add login mapping for %s\n", login_name);
         ret = EIO;
         goto done;
     }
@@ -229,28 +229,28 @@ static int sss_semanage_user_mod(semanage_handle_t *handle,
 
     semanage_seuser_query(handle, key, &seuser);
     if (seuser == NULL) {
-        DEBUG(1, ("Could not query seuser for %s\n", login_name));
+        DEBUG(1, "Could not query seuser for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_set_mlsrange(handle, seuser, DEFAULT_SERANGE);
     if (ret != 0) {
-        DEBUG(1, ("Could not set serange for %s\n", login_name));
+        DEBUG(1, "Could not set serange for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_set_sename(handle, seuser, seuser_name);
     if (ret != 0) {
-        DEBUG(1, ("Could not set sename for %s\n", login_name));
+        DEBUG(1, "Could not set sename for %s\n", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_modify_local(handle, key, seuser);
     if (ret != 0) {
-        DEBUG(1, (("Could not modify login mapping for %s\n"), login_name));
+        DEBUG(1, ("Could not modify login mapping for %s\n"), login_name);
         ret = EIO;
         goto done;
     }
@@ -275,21 +275,21 @@ int set_seuser(const char *login_name, const char *seuser_name)
 
     handle = sss_semanage_init();
     if (!handle) {
-        DEBUG(1, ("Cannot init SELinux management\n"));
+        DEBUG(1, "Cannot init SELinux management\n");
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_key_create(handle, login_name, &key);
     if (ret != 0) {
-        DEBUG(1, ("Cannot create SELinux user key\n"));
+        DEBUG(1, "Cannot create SELinux user key\n");
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_exists(handle, key, &seuser_exists);
     if (ret < 0) {
-        DEBUG(1, ("Cannot verify the SELinux user\n"));
+        DEBUG(1, "Cannot verify the SELinux user\n");
         ret = EIO;
         goto done;
     }
@@ -297,14 +297,14 @@ int set_seuser(const char *login_name, const char *seuser_name)
     if (seuser_exists) {
         ret = sss_semanage_user_mod(handle, key, login_name, seuser_name);
         if (ret != 0) {
-            DEBUG(1, ("Cannot modify SELinux user mapping\n"));
+            DEBUG(1, "Cannot modify SELinux user mapping\n");
             ret = EIO;
             goto done;
         }
     } else {
         ret = sss_semanage_user_add(handle, key, login_name, seuser_name);
         if (ret != 0) {
-            DEBUG(1, ("Cannot add SELinux user mapping\n"));
+            DEBUG(1, "Cannot add SELinux user mapping\n");
             ret = EIO;
             goto done;
         }
@@ -312,7 +312,7 @@ int set_seuser(const char *login_name, const char *seuser_name)
 
     ret = semanage_commit(handle);
     if (ret < 0) {
-        DEBUG(1, ("Cannot commit SELinux transaction\n"));
+        DEBUG(1, "Cannot commit SELinux transaction\n");
         ret = EIO;
         goto done;
     }
@@ -333,56 +333,56 @@ int del_seuser(const char *login_name)
 
     handle = sss_semanage_init();
     if (!handle) {
-        DEBUG(1, ("Cannot init SELinux management\n"));
+        DEBUG(1, "Cannot init SELinux management\n");
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_key_create(handle, login_name, &key);
     if (ret != 0) {
-        DEBUG(1, ("Cannot create SELinux user key\n"));
+        DEBUG(1, "Cannot create SELinux user key\n");
         ret = EIO;
         goto done;
     }
 
     ret = semanage_seuser_exists(handle, key, &exists);
     if (ret < 0) {
-        DEBUG(1, ("Cannot verify the SELinux user\n"));
+        DEBUG(1, "Cannot verify the SELinux user\n");
         ret = EIO;
         goto done;
     }
 
     if (!exists) {
-        DEBUG(5, ("Login mapping for %s is not defined, OK if default mapping "
-                  "was used\n", login_name));
+        DEBUG(5, "Login mapping for %s is not defined, OK if default mapping "
+                  "was used\n", login_name);
         ret = EOK;  /* probably default mapping */
         goto done;
     }
 
     ret = semanage_seuser_exists_local(handle, key, &exists);
     if (ret < 0) {
-        DEBUG(1, ("Cannot verify the SELinux user\n"));
+        DEBUG(1, "Cannot verify the SELinux user\n");
         ret = EIO;
         goto done;
     }
 
     if (!exists) {
-        DEBUG(1, ("Login mapping for %s is defined in policy, "
-                  "cannot be deleted", login_name));
+        DEBUG(1, "Login mapping for %s is defined in policy, "
+                  "cannot be deleted", login_name);
         ret = ENOENT;
         goto done;
     }
 
     ret = semanage_seuser_del_local(handle, key);
     if (ret != 0) {
-        DEBUG(1, ("Could not delete login mapping for %s", login_name));
+        DEBUG(1, "Could not delete login mapping for %s", login_name);
         ret = EIO;
         goto done;
     }
 
     ret = semanage_commit(handle);
     if (ret < 0) {
-        DEBUG(1, ("Cannot commit SELinux transaction\n"));
+        DEBUG(1, "Cannot commit SELinux transaction\n");
         ret = EIO;
         goto done;
     }
diff --git a/src/tools/sss_cache.c b/src/tools/sss_cache.c
index fa2e29d..5a6524f 100644
--- a/src/tools/sss_cache.c
+++ b/src/tools/sss_cache.c
@@ -108,7 +108,7 @@ int main(int argc, const char *argv[])
     ret = init_context(argc, argv, &tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error initializing context for the application\n"));
+              "Error initializing context for the application\n");
         goto done;
     }
 
@@ -120,7 +120,7 @@ int main(int argc, const char *argv[])
             ret = sysdb_update_subdomains(dinfo);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to update subdomains for domain %s.\n", dinfo->name));
+                      "Failed to update subdomains for domain %s.\n", dinfo->name);
             }
         }
 
@@ -128,14 +128,14 @@ int main(int argc, const char *argv[])
         /* Update filters for each domain */
         ret = update_all_filters(tctx, dinfo);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to update filters.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to update filters.\n");
             goto done;
         }
 
         ret = sysdb_transaction_start(sysdb);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Could not start the transaction!\n"));
+                  "Could not start the transaction!\n");
             goto done;
         }
 
@@ -158,11 +158,11 @@ int main(int argc, const char *argv[])
         ret = sysdb_transaction_commit(sysdb);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Could not commit the transaction!\n"));
+                  "Could not commit the transaction!\n");
             ret = sysdb_transaction_cancel(sysdb);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to cancel transaction\n"));
+                      "Failed to cancel transaction\n");
             }
         }
     }
@@ -174,7 +174,7 @@ int main(int argc, const char *argv[])
     } else {
         ret = sss_memcache_clear_all();
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to clear memory cache.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to clear memory cache.\n");
             goto done;
         }
     }
@@ -205,21 +205,21 @@ static errno_t update_filter(struct cache_tool_ctx *tctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         return ENOMEM;
     }
 
     ret = sss_parse_name(tmp_ctx, tctx->nctx, name,
                          &parsed_domain, &parsed_name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sss_parse_name failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sss_parse_name failed\n");
         goto done;
     }
 
     if (!dinfo->case_sensitive && !force_case_sensitivity) {
         use_name = sss_tc_utf8_str_tolower(tmp_ctx, parsed_name);
         if (!use_name) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
             ret = ENOMEM;
             goto done;
         }
@@ -242,7 +242,7 @@ static errno_t update_filter(struct cache_tool_ctx *tctx,
                 filter = talloc_strdup(tmp_ctx, use_name);
             }
             if (filter == NULL) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -258,7 +258,7 @@ static errno_t update_filter(struct cache_tool_ctx *tctx,
             filter = talloc_strdup(tmp_ctx, name);
         }
         if (filter == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
             ret = ENOMEM;
             goto done;
         }
@@ -287,7 +287,7 @@ static errno_t update_all_filters(struct cache_tool_ctx *tctx,
         ret = sss_names_init(tctx, tctx->confdb, dinfo->name, &tctx->nctx);
     }
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sss_names_init() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sss_names_init() failed\n");
         return ret;
     }
 
@@ -381,12 +381,12 @@ static bool invalidate_entries(TALLOC_CTX *ctx,
 
     if (ret != EOK) {
         if (ret == ENOENT) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("'%s' %s: Not found in domain '%s'\n",
-                  type_string, name ? name : "", dinfo->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "'%s' %s: Not found in domain '%s'\n",
+                  type_string, name ? name : "", dinfo->name);
         } else {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Searching for %s in domain %s with filter %s failed\n",
-                   type_string, dinfo->name, filter));
+                  "Searching for %s in domain %s with filter %s failed\n",
+                   type_string, dinfo->name, filter);
         }
         return false;
     }
@@ -396,14 +396,14 @@ static bool invalidate_entries(TALLOC_CTX *ctx,
         c_name = ldb_msg_find_attr_as_string(msgs[i], SYSDB_NAME, NULL);
         if (c_name == NULL) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Something bad happened, can't find attribute %s", SYSDB_NAME));
+                  "Something bad happened, can't find attribute %s", SYSDB_NAME);
             ERROR("Couldn't invalidate %1$s", type_string);
             iret = false;
         } else {
             ret = invalidate_entry(ctx, sysdb, dinfo, c_name, entry_type);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Couldn't invalidate %s %s", type_string, c_name));
+                      "Couldn't invalidate %s %s", type_string, c_name);
                 ERROR("Couldn't invalidate %1$s %2$s", type_string, c_name);
                 iret = false;
             }
@@ -450,14 +450,14 @@ static errno_t invalidate_entry(TALLOC_CTX *ctx, struct sysdb_ctx *sysdb,
                     return EINVAL;
             }
             if (ret != EOK) {
-                DEBUG(3, ("Could not set entry attributes\n"));
+                DEBUG(3, "Could not set entry attributes\n");
             }
         } else {
-            DEBUG(3, ("Could not add expiration time to attributes\n"));
+            DEBUG(3, "Could not add expiration time to attributes\n");
         }
         talloc_zfree(sys_attrs);
     } else {
-        DEBUG(3, ("Could not create sysdb attributes\n"));
+        DEBUG(3, "Could not create sysdb attributes\n");
         ret = ENOMEM;
     }
     return ret;
@@ -477,7 +477,7 @@ errno_t init_domains(struct cache_tool_ctx *ctx, const char *domain)
     ret = confdb_init(ctx, &ctx->confdb, confdb_path);
     talloc_free(confdb_path);
     if (ret != EOK) {
-        DEBUG(1, ("Could not initialize connection to the confdb\n"));
+        DEBUG(1, "Could not initialize connection to the confdb\n");
         return ret;
     }
 
@@ -486,21 +486,21 @@ errno_t init_domains(struct cache_tool_ctx *ctx, const char *domain)
                                domain, DB_PATH, &ctx->domains);
         if (ret != EOK) {
             SYSDB_VERSION_ERROR(ret);
-            DEBUG(1, ("Could not initialize connection to the sysdb\n"));
+            DEBUG(1, "Could not initialize connection to the sysdb\n");
             return ret;
         }
 
     } else {
         ret = confdb_get_domains(ctx->confdb, &ctx->domains);
         if (ret != EOK) {
-            DEBUG(1, ("Could not initialize domains\n"));
+            DEBUG(1, "Could not initialize domains\n");
             return ret;
         }
 
         ret = sysdb_init(ctx, ctx->domains, false);
         SYSDB_VERSION_ERROR(ret);
         if (ret != EOK) {
-            DEBUG(1, ("Could not initialize connection to the sysdb\n"));
+            DEBUG(1, "Could not initialize connection to the sysdb\n");
             return ret;
         }
     }
@@ -557,7 +557,7 @@ errno_t init_context(int argc, const char *argv[], struct cache_tool_ctx **tctx)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         goto fini;
     }
@@ -604,7 +604,7 @@ errno_t init_context(int argc, const char *argv[], struct cache_tool_ctx **tctx)
 
     ctx = talloc_zero(NULL, struct cache_tool_ctx);
     if (ctx == NULL) {
-        DEBUG(1, ("Could not allocate memory for tools context\n"));
+        DEBUG(1, "Could not allocate memory for tools context\n");
         ret = ENOMEM;
         goto fini;
     }
@@ -658,7 +658,7 @@ errno_t init_context(int argc, const char *argv[], struct cache_tool_ctx **tctx)
          (user && !ctx->user_name) || (group && !ctx->group_name) ||
          (netgroup && !ctx->netgroup_name) || (map && !ctx->autofs_name) ||
          (service && !ctx->service_name)) {
-        DEBUG(1, ("Construction of filters failed\n"));
+        DEBUG(1, "Construction of filters failed\n");
         ret = ENOMEM;
         goto fini;
     }
@@ -673,7 +673,7 @@ errno_t init_context(int argc, const char *argv[], struct cache_tool_ctx **tctx)
             ERROR("Could not open available domains\n");
         }
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Initialization of sysdb connections failed\n"));
+              "Initialization of sysdb connections failed\n");
         goto fini;
     }
 
